1 Reply Latest reply on Jan 6, 2019 6:22 AM by Jaikiran Pai

    Error running Arquillian tests on Wildfly 15.0.0.Final (ArquillianServletRunner not found). Works on 14.0.1.Final and older

    Peter Gibbons Newbie

      When I run arquillian tests on Wildfly 15.0.0.Final, I get the following error:

       

      plainThreadTest(org.example.arquilliantest.ArquillianTest): ArquillianServletRunner not found. Could not determine ContextRoot from ProtocolMetadata, please contact DeployableContainer developer.

       

      I have tested using this project (running Java 10):

       

      git clone https://github.com/OctopusDeploy/ArquillianTest.git

       

      This project is hard-coded to download wildfly 11.0.0.Final and run it. But you can easily change it run any other wildfly version. To change wildfly version of this project you edit two files:

       

      pom.xml

      src/test/resources/arquillian.xml

       

      (search for 11.0.0.Final and replace it with your version of choice)

       

      When I changed those two files to use version 14.0.1.Final everything is ok. All tests passed. But when I change them to 15.0.0.Final I get this error:

       

      plainThreadTest(org.example.arquilliantest.ArquillianTest): ArquillianServletRunner not found. Could not determine ContextRoot from ProtocolMetadata, please contact DeployableContainer developer.

       

      Is there a known change/update/upgrade from Wildfly14 to Wildfly15 that requires changes in arquillian configurations?